Bug Hunting Session
Bug 79451 - Naming a cell is not recognized as change of the document.
Summary: Naming a cell is not recognized as change of the document.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.4.0 target:4.3.0.1 target:4.2.6
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-05-30 10:14 UTC by Bernhard
Modified: 2014-06-17 18:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard 2014-05-30 10:14:10 UTC
Hello
When I set a name for a cell, it is a change of the document (from my point of view). I expect to be able to save the document afterwards with the Save-button or Save-entry within the File-menu. But both are still inactive!!
Workaround: Currently I modify something else to be able to save my document.
Comment 1 Yousuf Philips (jay) (retired) 2014-06-08 11:10:18 UTC
Hi Bernhard,
Can you please let me know where would i go to 'set a name for a cell'.
Comment 2 Bernhard 2014-06-09 20:18:50 UTC
(In reply to comment #1)
> Hi Bernhard,
> Can you please let me know where would i go to 'set a name for a cell'.

Hi Jay,
I select a cell (or cell-range) and enter the menu
Einfügen-Namen-Festlegen...
I assume the english version may be
Insert-Names-Assign...  ?!?
Then a popup opens showing the address of the selected cell[s] and
requesting a name to enter.
After OK I can access the cell[s] by the entered name.
Comment 3 Yousuf Philips (jay) (retired) 2014-06-10 03:08:25 UTC
Confirmed to not work in LibO 3.6, 4.0, 4.1.6, 4.2.4, and 4.3 beta. Previously worked in 3.3.0.

Steps:
1. open blank spreadsheet
2. Insert > Names > Define
3. type a name and press add
4. save button is still dim

I noticed that in 3.3.0, Insert > Names > Define had a shortcut key of Ctrl+F3, while in later versions Ctrl+F3 has been moved to Insert > Names > Manage. And in later versions, if i do Insert > Names > Manage and then click the Add button, it brings up the same dialog as Insert > Names > Define, but if i type in the name there and press Add, the save button is accessible.
Comment 4 Commit Notification 2014-06-17 05:49:56 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c8babfdb0808318bbaa94e911c819456a65337e

document must be set modified when range name is defined, fdo#79451



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Markus Mohrhard 2014-06-17 05:58:53 UTC
For such simple problems I don't need a bibisect.
Comment 6 Commit Notification 2014-06-17 06:01:07 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ff625d06374620d3cb950e5ee4027c782644835&h=libreoffice-4-3

document must be set modified when range name is defined, fdo#79451


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Markus Mohrhard 2014-06-17 06:01:47 UTC
Pending review for 4-2.
Comment 8 Commit Notification 2014-06-17 18:51:45 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5767cac0c1647908e091724df2de246d9caca3b4&h=libreoffice-4-2

document must be set modified when range name is defined, fdo#79451


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.